##
##  pystitcher.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2022 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package versions
%define       V_pystitcher_base  1.0.4
%define       V_pystitcher_snap  20220101

#   package information
Name:         pystitcher
Summary:      PDF Toolkit
URL:          https://pystitcher.io/
Vendor:       Nemo
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Postscript
License:      MIT
Version:      %{V_pystitcher_base}.%{V_pystitcher_snap}
Release:      20220101

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/pystitcher/pystitcher-%{V_pystitcher_snap}.tar.xz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  python, python-setup
PreReq:       python, python-setup

%description
    PyStitcher stitches your PDF files together, generating nice
    customizable bookmarks for you using a declarative input in the form
    of a markdown file.

%track
    prog pystitcher:base = {
        version   = %{V_pystitcher_base}
        url       = https://github.com/captn3m0/pystitcher/releases
        regex     = (__VER__)\.tar\.gz
    }
    prog pystitcher:snap = {
        version   = %{V_pystitcher_snap}
        url       = http://download.openpkg.org/components/versioned/pystitcher/
        regex     = pystitcher-(__VER__)\.tar\.xz
    }

%prep
    %setup -q -n pystitcher

%build

%install
    #   install package
    export HOME=`pwd`
    %{l_prefix}/bin/python -m pip \
        install \
        --root=$RPM_BUILD_ROOT \
        --prefix=%{l_prefix} \
        --isolated \
        --ignore-installed \
        --no-warn-script-location \
        *

    #   determine installation files
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

